path: /build/build/libqmi-net-libs-1.34.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gtk-doc -mbim -qrtr" emerge net-libs/libqmi -pv -t && \
    USE="-gtk-doc -mbim -qrtr" emerge -j ${JOBS} --nodeps net-libs/libqmi
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libqmi && luet-portage --dir /pkgdir/libqmi
    net-libs/libqmi && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:7333969b2a831d42b97f19002741c85177701cdc47818ab011d1834c20fd0629
  package:
    name: libqmi
    version: 1.34.0
    category: net-libs
    use_flags:
    - -gtk-doc
    - -mbim
    - -qrtr
    requires:
    - name: libnfnetlink
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Qualcomm MSM (Mobile Station Modem) Interface (QMI) modem protocol
      library
    uri:
    - https://www.freedesktop.org/wiki/Software/libqmi/ https://gitlab.freedesktop.org/mobile-broadband/libqmi
    license: LGPL-2
    buildtimestamp: 2023-10-18 17:30:50.345327023 +0000 UTC m=+143.477786046
    labels:
      BDEPEND: app-shells/bash-completion virtual/pkgconfig gtk-doc? ( dev-util/gtk-doc
        ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: '>=dev-libs/glib-2.56 >=dev-libs/libgudev-232 mbim? ( >=net-libs/libmbim-1.18.0
        ) qrtr? ( >=net-libs/libqrtr-glib-1.0.0:= )'
      IUSE: gtk-doc +mbim +qrtr
      RDEPEND: '>=dev-libs/glib-2.56 >=dev-libs/libgudev-232 mbim? ( >=net-libs/libmbim-1.18.0
        ) qrtr? ( >=net-libs/libqrtr-glib-1.0.0:= )'
      emerge.packages: net-libs/libqmi
      kit: net-kit
      original.package.name: net-libs/libqmi
      original.package.slot: "0"
      original.package.version: 1.34.0
    treedir: /build/packages
  package_dir: /pkgdir/libqmi
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0ebb6d1313e58886fd7218c809b1ed65450b152048520c9c9929a4a72409ab90
compressiontype: zstd
files:
- usr/bin/qmi-firmware-update
- usr/bin/qmi-network
- usr/bin/qmicli
- usr/include/libqmi-glib/libqmi-glib.h
- usr/include/libqmi-glib/qmi-atr.h
- usr/include/libqmi-glib/qmi-client.h
- usr/include/libqmi-glib/qmi-compat.h
- usr/include/libqmi-glib/qmi-device.h
- usr/include/libqmi-glib/qmi-dms.h
- usr/include/libqmi-glib/qmi-dpm.h
- usr/include/libqmi-glib/qmi-dsd.h
- usr/include/libqmi-glib/qmi-enum-types.h
- usr/include/libqmi-glib/qmi-enums-dms.h
- usr/include/libqmi-glib/qmi-enums-dsd.h
- usr/include/libqmi-glib/qmi-enums-fox.h
- usr/include/libqmi-glib/qmi-enums-gas.h
- usr/include/libqmi-glib/qmi-enums-imsa.h
- usr/include/libqmi-glib/qmi-enums-imsp.h
- usr/include/libqmi-glib/qmi-enums-loc.h
- usr/include/libqmi-glib/qmi-enums-nas.h
- usr/include/libqmi-glib/qmi-enums-oma.h
- usr/include/libqmi-glib/qmi-enums-pbm.h
- usr/include/libqmi-glib/qmi-enums-pdc.h
- usr/include/libqmi-glib/qmi-enums-pds.h
- usr/include/libqmi-glib/qmi-enums-private.h
- usr/include/libqmi-glib/qmi-enums-qos.h
- usr/include/libqmi-glib/qmi-enums-sar.h
- usr/include/libqmi-glib/qmi-enums-ssc.h
- usr/include/libqmi-glib/qmi-enums-uim.h
- usr/include/libqmi-glib/qmi-enums-voice.h
- usr/include/libqmi-glib/qmi-enums-wda.h
- usr/include/libqmi-glib/qmi-enums-wds.h
- usr/include/libqmi-glib/qmi-enums-wms.h
- usr/include/libqmi-glib/qmi-enums.h
- usr/include/libqmi-glib/qmi-error-types.h
- usr/include/libqmi-glib/qmi-errors.h
- usr/include/libqmi-glib/qmi-flag-types.h
- usr/include/libqmi-glib/qmi-flags64-dms.h
- usr/include/libqmi-glib/qmi-flags64-dsd.h
- usr/include/libqmi-glib/qmi-flags64-loc.h
- usr/include/libqmi-glib/qmi-flags64-nas.h
- usr/include/libqmi-glib/qmi-flags64-types.h
- usr/include/libqmi-glib/qmi-flags64-wds.h
- usr/include/libqmi-glib/qmi-fox.h
- usr/include/libqmi-glib/qmi-gas.h
- usr/include/libqmi-glib/qmi-gms.h
- usr/include/libqmi-glib/qmi-ims.h
- usr/include/libqmi-glib/qmi-imsa.h
- usr/include/libqmi-glib/qmi-imsp.h
- usr/include/libqmi-glib/qmi-loc.h
- usr/include/libqmi-glib/qmi-message-context.h
- usr/include/libqmi-glib/qmi-message.h
- usr/include/libqmi-glib/qmi-nas.h
- usr/include/libqmi-glib/qmi-oma.h
- usr/include/libqmi-glib/qmi-pbm.h
- usr/include/libqmi-glib/qmi-pdc.h
- usr/include/libqmi-glib/qmi-pds.h
- usr/include/libqmi-glib/qmi-proxy.h
- usr/include/libqmi-glib/qmi-qos.h
- usr/include/libqmi-glib/qmi-sar.h
- usr/include/libqmi-glib/qmi-ssc.h
- usr/include/libqmi-glib/qmi-uim.h
- usr/include/libqmi-glib/qmi-utils.h
- usr/include/libqmi-glib/qmi-version.h
- usr/include/libqmi-glib/qmi-voice.h
- usr/include/libqmi-glib/qmi-wda.h
- usr/include/libqmi-glib/qmi-wds.h
- usr/include/libqmi-glib/qmi-wms.h
- usr/lib64/girepository-1.0/Qmi-1.0.typelib
- usr/lib64/libqmi-glib.so
- usr/lib64/libqmi-glib.so.5
- usr/lib64/libqmi-glib.so.5.10.0
- usr/lib64/pkgconfig/qmi-glib.pc
- usr/libexec/qmi-proxy
- usr/share/bash-completion/completions/qmicli
- usr/share/doc/libqmi-1.34.0/AUTHORS.bz2
- usr/share/doc/libqmi-1.34.0/ChangeLog
- usr/share/doc/libqmi-1.34.0/NEWS.bz2
- usr/share/doc/libqmi-1.34.0/README.md.bz2
- usr/share/doc/libqmi-1.34.0/TODO.bz2
- usr/share/gir-1.0/Qmi-1.0.gir
- usr/share/man/man1/qmi-firmware-update.1.bz2
- usr/share/man/man1/qmi-network.1.bz2
- usr/share/man/man1/qmicli.1.bz2
- var/db/pkg/net-libs/libqmi-1.34.0/BDEPEND
- var/db/pkg/net-libs/libqmi-1.34.0/BUILD_TIME
- var/db/pkg/net-libs/libqmi-1.34.0/CATEGORY
- var/db/pkg/net-libs/libqmi-1.34.0/CBUILD
- var/db/pkg/net-libs/libqmi-1.34.0/CFLAGS
- var/db/pkg/net-libs/libqmi-1.34.0/CHOST
- var/db/pkg/net-libs/libqmi-1.34.0/CONTENTS
- var/db/pkg/net-libs/libqmi-1.34.0/COUNTER
- var/db/pkg/net-libs/libqmi-1.34.0/CXXFLAGS
- var/db/pkg/net-libs/libqmi-1.34.0/DEFINED_PHASES
- var/db/pkg/net-libs/libqmi-1.34.0/DEPEND
- var/db/pkg/net-libs/libqmi-1.34.0/DESCRIPTION
- var/db/pkg/net-libs/libqmi-1.34.0/EAPI
- var/db/pkg/net-libs/libqmi-1.34.0/FEATURES
- var/db/pkg/net-libs/libqmi-1.34.0/HOMEPAGE
- var/db/pkg/net-libs/libqmi-1.34.0/INHERITED
- var/db/pkg/net-libs/libqmi-1.34.0/IUSE
- var/db/pkg/net-libs/libqmi-1.34.0/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libqmi-1.34.0/KEYWORDS
- var/db/pkg/net-libs/libqmi-1.34.0/LDFLAGS
- var/db/pkg/net-libs/libqmi-1.34.0/LICENSE
- var/db/pkg/net-libs/libqmi-1.34.0/NEEDED
- var/db/pkg/net-libs/libqmi-1.34.0/PF
- var/db/pkg/net-libs/libqmi-1.34.0/PROVIDES
- var/db/pkg/net-libs/libqmi-1.34.0/RDEPEND
- var/db/pkg/net-libs/libqmi-1.34.0/REQUIRES
- var/db/pkg/net-libs/libqmi-1.34.0/SIZE
- var/db/pkg/net-libs/libqmi-1.34.0/SLOT
- var/db/pkg/net-libs/libqmi-1.34.0/USE
- var/db/pkg/net-libs/libqmi-1.34.0/environment.bz2
- var/db/pkg/net-libs/libqmi-1.34.0/libqmi-1.34.0.ebuild
- var/db/pkg/net-libs/libqmi-1.34.0/repository
package_cacheimage: ""
runtime:
  name: libqmi
  version: 1.34.0
  category: net-libs
  use_flags:
  - -gtk-doc
  - -mbim
  - -qrtr
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: libgudev
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Qualcomm MSM (Mobile Station Modem) Interface (QMI) modem protocol
    library
  uri:
  - https://www.freedesktop.org/wiki/Software/libqmi/ https://gitlab.freedesktop.org/mobile-broadband/libqmi
  license: LGPL-2
  labels:
    BDEPEND: app-shells/bash-completion virtual/pkgconfig gtk-doc? ( dev-util/gtk-doc
      ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: '>=dev-libs/glib-2.56 >=dev-libs/libgudev-232 mbim? ( >=net-libs/libmbim-1.18.0
      ) qrtr? ( >=net-libs/libqrtr-glib-1.0.0:= )'
    IUSE: gtk-doc +mbim +qrtr
    RDEPEND: '>=dev-libs/glib-2.56 >=dev-libs/libgudev-232 mbim? ( >=net-libs/libmbim-1.18.0
      ) qrtr? ( >=net-libs/libqrtr-glib-1.0.0:= )'
    emerge.packages: net-libs/libqmi
    kit: net-kit
    original.package.name: net-libs/libqmi
    original.package.slot: "0"
    original.package.version: 1.34.0
